Get the metric section weights
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/weights/metric-sections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/weights/metric-sections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/weights/metric-sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"value": 0.5
}
]{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get the metric section weights
Returns a list of weights for different metric sections used in the system.
GET
/
resources
/
weights
/
metric-sections
Get the metric section weights
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Response
Successful Response
The section or category of the metricfor calculating the total score
Available options:
brief_cash_flows_profile, cash_strength, debt_repayment_capacity_cushion, fixed_assets_efficiency, profitability, production_offtake_indicator, riskiness_of_net_operating_cash_flows, short_term_liquidity_and_working_capital, solvency, sustenance_of_the_business_growth_thriving, working_capital_operating_efficiency Numeric value of the metric section type, typically represented as a fraction or percentage
Example:
0.5
⌘I